package protocol

import (
	"git.viry.cc/gomod/glog"
)

const (
	LogMaskDEBUG uint32 = glog.MaskUNKNOWN | glog.MaskDEBUG | glog.MaskTRACE | glog.MaskINFO | glog.MaskWARNING | glog.MaskERROR | glog.MaskFATAL
	LogFlagDEBUG uint32 = glog.FlagDate | glog.FlagTime | glog.FlagShortFile | glog.FlagPrefix | glog.FlagSuffix
)

const (
	LogMaskINFO uint32 = glog.MaskINFO | glog.MaskWARNING | glog.MaskERROR | glog.MaskFATAL
	LogFlagINFO uint32 = glog.FlagDate | glog.FlagTime | glog.FlagPrefix
)

const (
	LogMaskWARNING uint32 = glog.MaskWARNING | glog.MaskERROR | glog.MaskFATAL
	LogFlagWARNING uint32 = glog.FlagDate | glog.FlagTime | glog.FlagPrefix
)

const (
	LogMaskNONE uint32 = 0
	LogFlagNONE uint32 = glog.FlagDate | glog.FlagTime | glog.FlagPrefix
)

func init() {
	glog.SetMask(LogMaskNONE)
	glog.SetFlag(LogFlagNONE)
}

func SetLogMask(mask uint32) {
	glog.SetMask(mask)
}

func SetLogFlag(f uint32) {
	glog.SetFlag(f)
}
